MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022322Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2011-03-15 12:592014-12-04 14:11
Reporterash 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022322: Improvement of Extrema performance
DescriptionThis is improvement of Extrema for point and surface. There is new algorithm to
find extreme points using B-tree. There are two new flags for Extrema_ExtPS and
Extrema_GenExtPS. One is to define whether to find minimum, maximum or both.
Another is to choose method to search extreme points: new method using b-tree
and old algorithm. For backward compatibility Extrema set flags
Extrema_ExtFlag_MINMAX and Extrema_ExtAlgo_Grad by default.
Additional information
and documentation updates
Documentation remark, added by ASH 2011-05-20 13:01:03:

New features:
In package Extrema there is a new faster algorithm for finding minimum and
maximum distances between point and surface, old algo is still available and
used by default. Also now it is possible to search in different modes: for min,
max or both. In BRepExtrema that uses low-level Extrema it is also possible to
set algo and mode. Now Extrema classes used in BRepExtrema as class fields, not
as local variables in order to cache results, so be careful as Extrema should be
reinitialized in some cases elaborated below.

New methods to set algo and mode are accessible in BRepExtrema_ExtPF or in
low-level Extrema_ExtPS, Extrema_GenExtPS classes.

To set algorithm use method ::setAlgo(Extrema_ExtAlgo).
Extrema should be reinitialized after algo is changed, otherwise it would fail.

Extrema_ExtAlgo_Grad: uses old algo of gradient descent to find local
extremal points on surface.
Extrema_ExtAlgo_Tree: uses b-tree to descent to extremal point (note that
b-tree find only one point!)

To set mode use method ::setFlag(Extrema_ExtFlag). Possible modes:
Extrema_ExtFlag_MIN, Extrema_ExtFlag_MAX, Extrema_ExtFlag_MINMAX.
TagsNo tags attached.
Test case number
Attached Filesgz file icon ashExtrema.tar.gz (129,236 bytes) 2011-03-15 12:59
gz file icon ashExtrema_v2.tar.gz (25,932 bytes) 2011-03-16 11:25
gz file icon DrawCommand.tar.gz (2,039 bytes) 2011-03-16 11:54
zip file icon patch_szv.zip (41,926 bytes) 2011-04-14 10:40
cxx file icon Extrema_GenExtPS.cxx (19,894 bytes) 2011-04-18 19:33
rar file icon patch_ash.rar (40,390 bytes) 2011-05-04 15:30
zip file icon patch_ash.zip (42,724 bytes) 2011-05-04 15:32
cxx file icon BRepExtrema_DistShapeShape.cxx (21,412 bytes) 2011-05-11 15:00
log file icon OCC22322-v5-opt.log (408,368 bytes) 2011-05-11 16:44
gz file icon occ22322-v5-patch-ash.tar.gz (6,824 bytes) 2011-05-17 17:35
gz file icon OCC22322-final-version.tar.gz (29,512 bytes) 2011-05-18 21:05
rar file icon test_command.rar (4,713 bytes) 2011-05-23 15:46
zip file icon test_command.zip (5,105 bytes) 2011-05-23 15:47
zip file icon test_command_v2.zip (5,213 bytes) 2011-05-24 13:53
zip file icon BRepExtrema_DistanceSS_20110726.zip (1,655 bytes) 2011-07-26 11:58

- Relationships
related to 0025554newmsv Community BRepExtrema_DistShapeShape ignores arguments Extrema_ExtAlgo and Extrema_ExtFlag 

-  Notes
(0017850)
bugmaster (administrator)
2011-07-29 11:40

Test notification

- Related Changesets
occt: master 92d1589b
Timestamp: 2011-05-19 10:50:52
Author: ash
Committer: bugmaster
Details ] Diff ]
OCC22322 Improvement of Extrema performance
mod - src/Bnd/Bnd.cdl Diff ] File ]
add - src/Bnd/Bnd_Sphere.cdl Diff ] File ]
add - src/Bnd/Bnd_Sphere.cxx Diff ] File ]
add - src/Bnd/Bnd_Sphere.lxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema.cdl Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistanceSS.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_DistanceSS.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_DistShapeShape.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCC.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_ExtCC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCF.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_ExtCF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtFF.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_ExtFF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPC.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_ExtPC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPF.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_ExtPF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_Poly.cxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_Poly.hxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_SeqOfSolution.hxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_SolutionElem.hxx Diff ] File ]
add - src/BRepExtrema/BRepExtrema_SupportType.hxx Diff ] File ]
add - src/BRepExtrema/FILES Diff ] File ]
mod - src/Extrema/Extrema.cdl Diff ] File ]
mod - src/Extrema/Extrema_ExtPS.cdl Diff ] File ]
mod - src/Extrema/Extrema_ExtPS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cdl Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
add - src/Extrema/Extrema_HUBTreeOfSphere.cxx Diff ] File ]
add - src/Extrema/Extrema_HUBTreeOfSphere.hxx Diff ] File ]
add - src/Extrema/FILES Diff ] File ]
occt: master b251c33e
Timestamp: 2011-05-20 10:15:41
Author: ash
Committer: bugmaster
Details ] Diff ]
OCC22322 Improvement of Extrema performance Deleting useless files
rm - src/BRepExtrema/BRepExtrema_DistanceSS.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_DistShapeShape.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_ExtCC.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_ExtCF.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_ExtFF.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_ExtPC.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_ExtPF.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_Poly.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_SolutionElem.cdl Diff ] File ]
rm - src/BRepExtrema/BRepExtrema_SolutionElem.cxx Diff ] File ]
occt: master 6aeb8ed1
Timestamp: 2011-05-20 13:14:06
Author: abv
Committer: bugmaster
Details ] Diff ]
OCC22322 Improvement of Extrema performance Additional integration
mod - src/BRepExtrema/BRepExtrema_DistanceSS.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistanceSS.hxx Diff ] File ]
occt: master bdde5715
Timestamp: 2011-05-20 13:40:08
Author: abv
Committer: bugmaster
Details ] Diff ]
OCC22322 Improvement extrema Additional integration
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.cxx Diff ] File ]
occt: master 2a3ff1e0
Timestamp: 2011-07-28 10:30:24
Author: szv
Committer: bugmaster
Details ] Diff ]
OCC22322 Improvement of Extrema performance Standard_EXPORT directive added to the private method Perform .This is needed by C# Wrapper.
mod - src/BRepExtrema/BRepExtrema_DistanceSS.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-03-16 11:26 bugmaster Assigned To bugmaster => ash
2011-03-16 11:26 bugmaster Status new => assigned
2011-04-14 10:44 bugmaster Status assigned => resolved
2011-04-15 20:08 mkv Status resolved => assigned
2011-04-26 17:34 bugmaster Assigned To ash => szv
2011-04-27 10:48 szv CC => szv
2011-04-27 10:48 szv Assigned To szv => ash
2011-05-18 23:06 bugmaster Status assigned => resolved
2011-05-18 23:07 mkv Status resolved => tested
2011-05-19 16:51 bugmaster Status tested => verified
2011-05-27 17:13 abv OtherBugsDependingOnThis => 22540
2011-07-26 13:58 szv CC => inv
2011-07-27 17:49 bugmaster Assigned To ash => bugmaster
2011-07-27 17:49 bugmaster Status closed => assigned
2011-07-27 17:49 bugmaster Resolution fixed => @0@
2011-07-27 17:49 bugmaster Assigned To bugmaster => szv
2011-07-28 14:32 bugmaster Status assigned => closed
2011-07-28 14:32 bugmaster Resolution @0@ => fixed
2011-07-28 14:32 bugmaster Assigned To szv => bugmaster
2011-07-28 14:32 bugmaster Status closed => assigned
2011-07-28 14:32 bugmaster Resolution fixed => @0@
2011-07-28 14:33 bugmaster Status assigned => verified
2011-07-29 09:39 bugmaster Fixed in Version EMPTY =>
2011-07-29 09:39 bugmaster Target Version => 6.5.2
2011-07-29 09:39 bugmaster Description Updated View Revisions
2011-07-29 09:39 bugmaster Additional Information Updated View Revisions
2011-07-29 11:40 bugmaster Note Added: 0017850
2011-07-29 14:51 bugmaster Assigned To bugmaster => ash
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-12-27 11:38 atp Assigned To ash =>
2011-12-27 11:38 atp Additional Information Updated View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master 2a3ff1e0
2012-03-29 17:26 bugmaster Changeset attached => occt master bdde5715
2012-03-29 17:26 bugmaster Changeset attached => occt master 6aeb8ed1
2012-03-29 17:26 bugmaster Changeset attached => occt master b251c33e
2012-03-29 17:26 bugmaster Changeset attached => occt master 92d1589b
2014-12-04 14:11 Timo Relationship added related to 0025554


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker